Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::RTConfig_Handler Class Reference

`#include <RTConfig_Handlers.h>`

Inheritance diagram for CIAO::RTConfig_Handler:

[legend]
Collaboration diagram for CIAO::RTConfig_Handler:

[legend]
List of all members.

## Public Types
enum | CS_States { START, RTRESOURCES, TPWLANES, CONNBANDS, RTPOLICYSET }
## Public Member Functions
| RTConfig_Handler (ACEXML_XMLReader *parser, RTConfiguration::RTORB_Resource_Info &rtr, RTConfiguration::Policy_Sets &ps ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual | ~RTConfig_Handler (void)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Member Functions
void | parse_threadpool_attrs (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| parse the threadpool attributes
void | parse_threadpoollanes_attrs (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| parse the threadpoolwithlanes attributes
void | add_threadpoollane (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| parse and add the threadpoollane attributes
void | add_priorityband (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| parse and add the priorityband attributes
void | create_new_policyset (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| parse and create a new policyset from attributes
void | parse_priority_model_config (ACEXML_Attributes *atts, RTConfiguration::Priority_Model_Config &config ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| parse and set up the priority model configuration information
## Protected Attributes
CS_States | state_
| Internal state of the handler.
## Private Attributes
RTConfiguration::ThreadPoolLanes_Configuration_var | tpl_config_
RTConfiguration::PriorityBands_Configuration_var | bands_config_
RTConfiguration::Policy_Set_var | policy_set_
RTConfiguration::RTORB_Resource_Info & | rtresources
RTConfiguration::Policy_Sets & | policysets

## Member Enumeration Documentation

enum CIAO::RTConfig_Handler::CS_States

  | Enumeration values:
  START |
  RTRESOURCES |
  TPWLANES |
  CONNBANDS |
  RTPOLICYSET |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::RTConfig_Handler::RTConfig_Handler | ( | ACEXML_XMLReader * | parser,
|  | RTConfiguration::RTORB_Resource_Info & | rtr,
|  | RTConfiguration::Policy_Sets &ps | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Default constructor.

ACE_INLINE CIAO::RTConfig_Handler::~RTConfig_Handler | ( | void |  | ) | `[virtual]`

| Default destructor.

## Member Function Documentation

void CIAO::RTConfig_Handler::add_priorityband | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

| parse and add the priorityband attributes

void CIAO::RTConfig_Handler::add_threadpoollane | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

| parse and add the threadpoollane attributes

void CIAO::RTConfig_Handler::create_new_policyset | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

| parse and create a new policyset from attributes

void CIAO::RTConfig_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

void CIAO::RTConfig_Handler::parse_priority_model_config | ( | ACEXML_Attributes * | atts,
|  | RTConfiguration::Priority_Model_Config &config | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[protected]`

| parse and set up the priority model configuration information

void CIAO::RTConfig_Handler::parse_threadpool_attrs | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

| parse the threadpool attributes

void CIAO::RTConfig_Handler::parse_threadpoollanes_attrs | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

| parse the threadpoolwithlanes attributes

virtual void CIAO::RTConfig_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

RTConfiguration::PriorityBands_Configuration_var CIAO::RTConfig_Handler::bands_config_`[private]`

RTConfiguration::Policy_Set_var CIAO::RTConfig_Handler::policy_set_`[private]`

RTConfiguration::Policy_Sets& CIAO::RTConfig_Handler::policysets`[private]`

RTConfiguration::RTORB_Resource_Info& CIAO::RTConfig_Handler::rtresources`[private]`

CS_States CIAO::RTConfig_Handler::state_`[protected]`

| Internal state of the handler.

RTConfiguration::ThreadPoolLanes_Configuration_var CIAO::RTConfig_Handler::tpl_config_`[private]`

The documentation for this class was generated from the following files:

- RTConfig_Handlers.h
- RTConfig_Handlers.cpp
- RTConfig_Handlers.inl